// SPDX-FileCopyrightText: Contributors to the Power Grid Model project <powergridmodel@lfenergy.org>
//
// SPDX-License-Identifier: MPL-2.0

/**
 * @mainpage Power Grid Model IO Native C API Documentation
 * This gives an overview of IO Native C API.
 * All the exported functions are included in power_grid_model_io_native_c.h
 *
 * Users can also include individual headers for a subset of the functionality
 *     - power_grid_model_io_native_c/basics.h: type and enum definition
 *     - power_grid_model_io_native_c/handle.h: functions with error handling
 */

#pragma once
#ifndef POWER_GRID_MODEL_IO_NATIVE_C_H
#define POWER_GRID_MODEL_IO_NATIVE_C_H

#include "power_grid_model_io_native_c/basics.h"
#include "power_grid_model_io_native_c/handle.h"
#include "power_grid_model_io_native_c/vnf_pgm_converter.h"

#endif // POWER_GRID_MODEL_IO_NATIVE_C_H
